<div class="box-body">

<div class="padd-lr10">
<div class="box boxStyle2 infoBox margin-b15">
<div class="padd10t">

<table id="tableN" class="col-md-12">
<tr class='tabTop'>
<td colspan="2">

<?PHP 
define("DATA_FILE", $targetedX);
extract($_POST);
$catX=($_POST['catX']);
$siteNameX=($_POST['siteNameX']);
$siteAltX=($_POST['siteAltX']);
$siteLinkX=($_POST['siteLinkX']);

if (isset($_POST['save'])) {
if (strlen(@$_POST[catX])<=0){@$_POST[catX]="";}
if (strlen(@$_POST[siteNameX])<=0){@$_POST[siteNameX]="";}
if (strlen(@$_POST[siteAltX])<=0){@$_POST[siteAltX]="";}
if (strlen(@$_POST[siteLinkX])<=0){@$_POST[siteLinkX]="";}
$Message=SaveData();}
else{
@die ("
<span class='resF'>".$resultFalse."</span>
<br>
<br>
<a href='$elink'>
<div class='vlinkS'>
<i class='hvL fa fa-arrow-circle-right padd-right5'></i>
<span class='hvS'>".$back1."</span>
</div>
</a>
");
return ($tag);
}

function SaveData(){
$tag='';
$patterns=array();
$replacements=array();
$content=file(DATA_FILE);
$t=chr(34);

$patterns[0]='/catX=(.+?);/';
$patterns[1]='/siteNameX=(.+?);/';
$patterns[2]='/siteAltX=(.+?);/';
$patterns[3]='/siteLinkX=(.+?);/';

@$replacements[0]=sprintf("catX=%s%s%s;",$t,$_POST[catX],$t);
@$replacements[1]=sprintf("siteNameX=%s%s%s;",$t,$_POST[siteNameX],$t);
@$replacements[2]=sprintf("siteAltX=%s%s%s;",$t,$_POST[siteAltX],$t);
@$replacements[3]=sprintf("siteLinkX=%s%s%s;",$t,$_POST[siteLinkX],$t);

if ($fp=fopen(DATA_FILE,"w")){
$tag="<?PHP \n";
include("./../languages/$_COOKIE[xlanguage]/general.inc.php");
@print_r("<span class='resT'>".$resultTrue."</span>");
fputs($fp,$tag,strlen($tag));
for ($i=1;$i < count($content);$i++){
$check=$content[$i];
$check=(preg_replace($patterns,$replacements,$check));
$check=preg_replace("/\r|\r/s", "\r", $check);
include("./../function/savecheck.inc.php");
if (strlen($check)> 0) $content[$i]=$check;
$line=sprintf('%s',$content[$i]);
fputs($fp,$line,strlen($line));
}
fclose($fp);
}
}

include("./../function/forward-s-ew.inc.php");
include("./../function/autoX.inc.php");
echo "
<br>
<br>
<a href='$elink?webX=$webX'>
<div class='vlinkS'>
<i class='hvL fa fa-arrow-circle-right padd-right5'></i>
<span class='hvS'>".$back1."</span>
</div>
</a>
";
?>
</td>
</tr>

</table>
<div class="clearX box-footer"></div>
</div>
</div>
</div>
</div>
